PROJ     = trananal
DEBUG    = 1
CC       = cl
EXT_LEN  = 31        # use to set max significant chars in external names
ENV      = MSC       # compilation environment (MSC=MS-C, IBM=C/370)
CFLAGS_G = /AL /W3 /Za /I. /Ic:\fe\shared /D$(ENV)
CFLAGS_D = /Zi /Od /H$(EXT_LEN) 
CFLAGS_R = /O /Ol /Gs /DNDEBUG 
CFLAGS   = $(CFLAGS_G) $(CFLAGS_R)
LFLAGS_G = /CP:0xffff /NOI /SE:0x80 /ST:0x800 
LFLAGS_D = /CO
LFLAGS_R = 
LFLAGS   = $(LFLAGS_G) $(LFLAGS_D)
RUNFLAGS =expin.dmp answer.dmi 
OBJS_EXT = 	
LIBS_EXT = 	tran$(ENV).lib c:\fe\shared\lfe.lib

all:	$(PROJ).exe

trananal.obj:	trananal.c dmio.h tran.h c:\fe\shared\hash.h

dmiost.obj:	dmiost.c dmio.h

parse.obj:	parse.c dmio.h env.h tran.h c:\fe\shared\hash.h

$(PROJ).exe:	trananal.obj dmiost.obj parse.obj $(OBJS_EXT) $(LIBS_EXT)
	echo >NUL @<<$(PROJ).crf
trananal.obj +
dmiost.obj +
parse.obj +
$(OBJS_EXT)
$(PROJ).exe
$(PROJ).map
$(LIBS_EXT);
<<
	link $(LFLAGS) @$(PROJ).crf

run: $(PROJ).exe
	$(PROJ) $(RUNFLAGS)

